### Signal

# Gtk Widget::move-focus

#### Declaration

    void
    move_focus (
      GtkWidget self,
      GtkDirectionType direction,
      gpointer user_data
    )

#### Description [src]

Emitted when the focus is moved.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be emitted directly

#### Parameters

`direction` | `GtkDirectionType`
| The direction of the focus move.